head	1.6;
access;
symbols
	tonic_4:1.6
	tonic_3:1.6
	tonic_2:1.6
	demo:1.6.0.2
	design_report:1.5
	oral_presentation_freeze:1.2.0.6
	DAVEG_CDP:1.2.0.4
	template_integ:1.2.0.2;
locks; strict;
comment	@# @;


1.6
date	95.12.12.23.29.58;	author hartmans;	state Exp;
branches;
next	1.5;

1.5
date	95.12.09.05.14.35;	author daveg;	state Exp;
branches;
next	1.4;

1.4
date	95.12.07.22.36.53;	author hartmans;	state Exp;
branches;
next	1.3;

1.3
date	95.12.01.03.39.11;	author hartmans;	state Exp;
branches;
next	1.2;

1.2
date	95.11.19.18.32.29;	author hartmans;	state Exp;
branches
	1.2.6.1;
next	1.1;

1.1
date	95.11.19.17.56.59;	author hartmans;	state Exp;
branches;
next	;

1.2.6.1
date	95.11.30.08.35.04;	author hartmans;	state Exp;
branches;
next	1.2.6.2;

1.2.6.2
date	95.11.30.09.44.55;	author hartmans;	state Exp;
branches;
next	;


desc
@@


1.6
log
@Build ps5 without errors.
@
text
@build_top=..
include ../config/commondefs
top_srcdir=@@top_srcdir@@
srcdir=@@srcdir@@
VPATH=@@srcdir@@
exec_prefix=@@exec_prefix@@
LLDLIBS = -lps5


DEST =$(build_top)/lib
LIBDIR = $(DEST)

LC++INCS = -I/usr/local/lib/g++-include

LIBC++FILES = dir_node.C file_node.C  http_response.C normal_response.C \
              url_ops.C web_node.C server.C error_response.C http_server.C
C++FILES = $(LIBC++FILES) main.C
LIBOBJS = $(LIBC++FILES:.C=.o) 

PROGRAM = http_dummy
LIBRARY = libps5.a
TARGETS = $(PROGRAM) $(LIBRARY) $(LIBDIR)/libps5.a

all: $(LIBDIR)/libps5.a  test_qparse

test_qparse : test_qparse.o
		$(C++F) -o $@@ $^ $(LDFLAGS)

$(LIBDIR)/libps5.a : $(LIBRARY)
	-rm -f $@@
	ln -s ../ps5/libps5.a $@@

default: $(TARGETS)

#all: $(TARGETS) localinstall

$(PROGRAM): $(LIBRARY) main.o
	$(C++F) -o $@@ main.o $(LIBRARY) $(LDFLAGS) 

test_url: test_url.o $(LIBRARY)
	$(C++F) -o $@@ test_url.o $(LIBRARY) $(LDFLAGS)

$(LIBRARY): $(LIBOBJS)
	@@-rm -f $(LIBRARY)
	$(ARADD) $(LIBRARY) $(LIBOBJS)

localinstall: $(LIBRARY)
	cp -p $(LIBRARY) $(LIBDIR)
include $(COMMONRULES)
@


1.5
log
@changed to use (ARADD)
@
text
@d35 1
a35 1
all: $(TARGETS) localinstall
@


1.4
log
@* Add test_qparse a test driver for parse_query and unescape_uri
* Fix bugs in parse_query and unescape_uri
@
text
@d45 1
a45 1
	ar rs $(LIBRARY) $(LIBOBJS)
@


1.3
log
@Integrate oral presentation changes into main line.
@
text
@d7 1
a7 1

d23 5
@


1.2
log
@Configuration fixups so Makefile.in works
@
text
@d22 1
a22 1
TARGETS = $(PROGRAM) $(LIBRARY)
d24 4
@


1.2.6.1
log
@Actually build libps5.a
@
text
@d22 1
a22 1
TARGETS = $(PROGRAM) $(LIBRARY) $(LIBDIR)/libps5.a
a23 3
$(LIBDIR)/libps5.a : $(LIBRARY)
	-rm -f $@@
	ln -s ../ps5/libps5.a $@@
@


1.2.6.2
log
@change stuff
@
text
@a26 1

@


1.1
log
@Remove main.C from library
@
text
@d2 5
a6 1
include ../make/commondefs
d8 1
@
